Subject: Re: bug#78843: Various vtable bug fixes and enhancements

From: Spencer Baugh <[email-masked]>
Date: Mon, 30 Jun 2025 12:45:55 -0400

Spencer Baugh <[email-masked]> writes:

> Stéphane Marks <[email-masked]> writes:
>> In the meantime, be a mensch, and try it out to see if it addresses your immediate issue and provide constructive feedback.  The
>> set of bugs I fixed and the new features added were informed by other menschen.  I've always considered your ideas and input
>> well.
>>
>> Here are the latest two files for ease of testing.  vtable.el, in its current form, is compatible with Emacs 31 unless and until
>> `string-pixel-width` is updated in compat.  I doubt Eli will want this in Emacs 30 but it could be published on ELPA if there is
>> demand?
>
> A few issues using the vtable.el you attached:
>
> - Clicking on header lines no longer changes sorting.
>
> - Columns where I specify :displayer now seem to have extra empty
>   padding added to the end of them.  I think this may be the result of
>   vtable--insert-line passing clipped-value-width (which has space for
>   the ellipsis removed) to the displayer function rather than passing
>   column-width as it used to.
>
> I do like that the header line is exactly properly aligned with columns
> now, both in graphical and terminal Emacs.  I wish you would please make
> smaller patches for your individual improvements so that we could have
> them without these bugs...

(Or at least add tests for these issues once you fix them)